summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /app-emulation/libspectrum/libspectrum-1.1.1.ebuild
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'app-emulation/libspectrum/libspectrum-1.1.1.ebuild')
-rw-r--r--app-emulation/libspectrum/libspectrum-1.1.1.ebuild42
1 files changed, 42 insertions, 0 deletions
diff --git a/app-emulation/libspectrum/libspectrum-1.1.1.ebuild b/app-emulation/libspectrum/libspectrum-1.1.1.ebuild
new file mode 100644
index 00000000000..509cc383833
--- /dev/null
+++ b/app-emulation/libspectrum/libspectrum-1.1.1.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+DESCRIPTION="Spectrum emulation library"
+HOMEPAGE="http://fuse-emulator.sourceforge.net/libspectrum.php"
+SRC_URI="mirror://sourceforge/fuse-emulator/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 ppc x86"
+IUSE="audiofile bzip2 gcrypt zlib"
+
+RDEPEND="zlib? ( sys-libs/zlib )
+ bzip2? ( >=app-arch/bzip2-1.0 )
+ >=dev-libs/glib-2
+ gcrypt? ( dev-libs/libgcrypt:0 )
+ audiofile? ( >=media-libs/audiofile-0.2.3 )"
+DEPEND="${RDEPEND}
+ dev-lang/perl
+ virtual/pkgconfig"
+
+src_configure() {
+ econf --with-glib \
+ $(use_with zlib zlib) \
+ $(use_with bzip2 bzip2) \
+ $(use_with audiofile libaudiofile) \
+ $(use_with gcrypt libgcrypt) \
+ || die "econf failed!"
+}
+
+src_compile() {
+ emake || die "Compilation failed"
+}
+
+src_install() {
+ emake install DESTDIR="${D}" || die "Make install failed"
+ dodoc AUTHORS ChangeLog README THANKS doc/*.txt *.txt
+ doman doc/libspectrum.3
+}